//List
//listID  需要插入行的list的ID，
//groupID 组ID, 
//GroupCap 分组标题, 如果分组标题为空字符串，则不显示分组标题栏
function listAddGroup(listID,groupID,groupCap){
	txt="<div class='ListSplit'></div><div id='"+groupID+"' class='ListGroup'>";
	if(groupCap!=""){txt+="<div class='ListSection'>"+groupCap+"</div>"}
	txt+="</div>";
	$("#"+listID).append(txt);

}

//listID    需要插入行的list的ID，
//groupID   组ID, 
//itemID    要插入的行的ID, 
//cellHtml  需要插入到list里面的内容
//clickFunc 点击之后调用的函数名称 
function listAddItem(listID,groupID,itemID,cellHtml,clickFunc){
	txt="<div id='"+itemID+"' class='ListCell' ";
	if(clickFunc!=""){txt+="onclick='"+clickFunc+"(\""+itemID+"\")'";}
	txt+=">"+cellHtml+"</div>";
	$("#"+listID+" #"+groupID).append(txt);
}

function listInsertTopItem(listID,groupID,itemID,cellHtml,clickFunc){
	txt="<div id='"+itemID+"' class='ListCell' ";
	if(clickFunc!=""){txt+="onclick='"+clickFunc+"(\""+itemID+"\")'";}
	txt+=">"+cellHtml+"</div>";
	$("#"+listID+" #"+groupID).prepend(txt);
}

function markListItem(itemID,cellHtml,clickFunc) {
	var ttxt="<div id='"+itemID+"' class='ListCell' ";
	if(clickFunc!=""){ttxt+="onclick='"+clickFunc+"(\""+itemID+"\")'";}
    ttxt+=">"+cellHtml+"</div>";
	return ttxt;
}

//得到标准的inputcellHTML
//caption 标题
//img     图片链接
function listGetNormalHtml(caption,img,color,id){
	if (img.substr(0,3)=="fa-")
	{
		return "<i class='fa "+img+"' style='text-align:center;padding-right:15px;vertical-align:middle;font-size:24px;width:25px;color:"+color+"'/>"+caption+"<i class='fa fa-angle-right pull-right' style='color:#666666;margin-top:3px;'></i><span id = '"+id+"' class='pull-right' style='color:#999999;font-size:14px;margin-right:5px'></span>"
	}else
	{
		if(img==""){
			return caption+"<i class='fa fa-angle-right pull-right' style='color:#666666;margin-top:3px;'></i><span id = '"+id+"' class='pull-right' style='color:#999999;font-size:14px;margin-right:5px'></span>"
		}else{
			return "<img src='"+img+"' width='24' height='24' style='padding-right:15px;vertical-align:middle'/>"+caption+"<i class='fa fa-angle-right pull-right' style='color:#666666;margin-top:3px;'></i><span id = '"+id+"' class='pull-right' style='color:#999999;font-size:14px;margin-right:5px'></span>"
		}

	}
}

//得到标准的inputcellHTML
//caption 标题
//img     图片链接
function listGetValueHtml(caption,img,color,vname,achor){
	s=achor?"<i class='fa fa-angle-right pull-right' style='color:#666666;margin-top:3px;'></i>":"";
	if (img.substr(0,3)=="fa-")
	{
		return "<i class='fa "+img+"' style='text-align:center;padding-right:15px;vertical-align:middle;font-size:24px;width:25px;color:"+color+"'/>"+caption+s+"<span class='pull-right' id='"+vname+"' style='color:#999999;padding-right:10px;font-size:14px;line-height:24px;'>1221</span>"
	}else
	{
		imgs=img==""?"":"<img src='"+img+"' width='24' height='24' style='padding-right:15px;vertical-align:middle'/>";
		return imgs+caption+s+"<span class='pull-right' id='"+vname+"' style='color:#999999;padding-right:10px;font-size:14px;line-height:24px;'></span>";
	}
}
//得到标准的selcectcellHTML
//caption 标题
//img     图片链接
function listGetSelectHtml(inputID,caption,items){
	txt="<label style='font-size:16px;'>"+caption+"</label><i class='fa fa-sort-down pull-right'></i><select id='"+inputID+"' class='pull-right' dir='rtl' style='max-width: 40%;border:none;background:none;text-align:right;color:#666666;font-size:14px; height:18px;'>";
	for(var i=0;i<items.length;i++){
		txt+="<option value='"+items[i]+"'>"+items[i]+"</option>";}
	txt+="</select>";
	return txt;
}

//单选
// items 单选项（不请求网络）
// scid （根据id网络请求选项） additem 在请求结束后添加选项
function listGetSelHtml(inputID,caption,items,scid,addItems){
	var addStr = '';
	if(typeof (addItems)!='undefined'){
		addStr = addItems;
	}
	if (typeof (scid)!='undefined'&&scid.length>0){
		txt="<label style='font-size:16px;'>"+caption+"</label><input addItm = \""+addStr+"\"   id='"+inputID+"' class='pull-right'  placeholder='点击选择' readonly='readonly' style='width:60%;margin:0px;padding:0px;border:none;background:none;text-align:right;color:#666666;font-size:14px; height:18px;' onClick ='showDict($(\"#"+inputID+"\"),\""+scid+"\",\"1\",\"\",this)'>";

	// </div>
		return txt;
	}

	str="";
	if (typeof (items)=='undefined'){
		items = new Array();
	}
	for(var i=0;i<items.length;i++){
		str+=items[i]+",";
	}
	txt="<label style='font-size:16px;'>"+caption+"</label><input readonly='readonly'  class='pull-right'  placeholder='点击选择' id='"+inputID+"' style='width:60%;margin:0px;padding:0px;border:none;background:none;text-align:right;color:#666666;font-size:14px; height:18px;' onClick ='_listShowItems(\""+inputID+"\",\""+items+"\")' >";

    //</div>
	return txt;


	// onclick='_mutiSelDropdown(this);
	// return "<label style='font-size:16px;width:35%'>"+caption+"</label><button onClick ='_listShowItems(\""+inputID+"\",\""+items+"\")' style='border:none;background:white;padding:0px 0 0 10px;font-size:16px;' class = 'pull-right'><i class='fa fa-sort-down'></i></button><input id='"+inputID+"' class='pull-right' style='width:60%;margin:0px;padding:0px;border:none;background:white;text-align:right;color:#666666;font-size:14px; height:20px;' placeholder='"+holder+"'/>";

}

//得到标准的mutiselcectcellHTML
//caption 标题
//img     图片链接
function listGetMutiSelHtml(inputID,caption,items,selected,scid,addItems){
	var addStr = '';
	if(typeof (addItems)!='undefined'){
		addStr = addItems;
	}


	if (typeof (scid)!='undefined'&&scid.length>0){
		txt="<table style='width:100%'><tr><td valign='center' width='40%'><label style='font-size:16px;'>"+caption+"</label></td><td align='right'><div addItm = \""+addStr+"\" onclick='showDict($(\"#"+inputID+"\"),\""+scid+"\",\"2\",\""+selected+"\",this)' class='mutiSelector'  id='"+inputID+"' >";
		sel=selected.split(',');
		if(sel.length>0&&sel[0].length>0){
			for(var i=0;i<sel.length;i++){
				txt+="<span>"+sel[i]+"</span>";}
		}else {
			txt+="<span>"+"点击选择"+"</span>";
		}
		txt+="</div></td><td width='20' align='right'><i class='fa fa-sort-down pull-right'></i></td></tr></table>";

		return txt;

	}

	str="";

	if (typeof (items)=='undefined'){
		items = new Array();
	}
	for(var i=0;i<items.length;i++){
		str+=items[i]+",";}

	txt="<table style='width:100%'><tr><td valign='center' width='40%'><label style='font-size:16px;'>"+caption+"</label></td><td align='right'><div onclick='_mutiSelDropdown(this);' id='"+inputID+"' class='mutiSelector' items='"+str+"'>";
	sel=selected.split(',');
	if(sel.length>0&&sel[0].length>0){
		for(var i=0;i<sel.length;i++){
			txt+="<span>"+sel[i]+"</span>";}
	}else {
		txt+="<span>"+"点击选择"+"</span>";
	}
	txt+="</div></td><td width='20' align='right'><i class='fa fa-sort-down pull-right'></i></td></tr></table>";

	return txt;
}
//ty 单选 1  多选 2 sels 已选
_dict={ar:[]};
function showDict(obj,did,ty,sels,tago){
	var f=did+'';
	if (_dict.ar[f]==null){
		var userInfo = JSON.parse(mimiUserInfo());
		mimiGetJSON('/user/getDictZS',{auth:userInfo.auth,cid:did},true,function (err,data){
			if(err==0){
				var k=data.list[did];
				if (typeof (k)=='undefined'){
					k = '';
				}
				var add = $(tago).attr('addItm');
				if (add.length>0){
					if (k.length>0){
						k += ',' + add;
					}else {
						k = add;
					}
				}

				var s=[];
				_dict.ar[f]=[];
				if (k.length>1){s=k.split(',');}
				for (var i=0;i<s.length;i++){
					if(s[i].length>0){
						_dict.ar[f].push(s[i]);
					}
				}
				//  (_dict.ar+"|"+_dict.ar.length);
				// if(_dict.ar.length<1){
				// 	setTimeout(function () {
				// 		 ('先到设置模块之下拉选项中添加');
				// 	},800);
				// 	return;
				// }
				if(ty=='2'){
					showDrawer(menuGetMutiHtml(_dict.ar[f],sels,function (pk){
						var sel=pk.split(',');
						var txt="";
						if (pk.length<1){
							txt+="<span>"+"点击选择"+"</span>";
						}else {
							for(var i=0;i<sel.length;i++){
								txt+="<span>"+sel[i]+"</span>";}

						}
						$(obj).html(txt);
					}));
				}else {
					showDrawer(menuGetItemHtml(_dict.ar[f],function (pk){$(obj).val(_dict.ar[f][pk]);}));
				}
			}
		});



	}else{
		// if(_dict.ar.length<1){
		// 	setTimeout(function () {
		// 		alertBox('先到设置模块之下拉选项中添加');
		// 	},800);
		// 	return;
		// }
		if(ty=='2'){
			showDrawer(menuGetMutiHtml(_dict.ar[f],sels,function (pk){
				var sel=pk.split(',');
				var txt="";
				if (pk.length<1){
					txt+="<span>"+"点击选择"+"</span>";
				}else {
					for(var i=0;i<sel.length;i++){
						txt+="<span>"+sel[i]+"</span>";}

				}
				$(obj).html(txt);
			}));
		}else {

			showDrawer(menuGetItemHtml(_dict.ar[f], function (pk) {
				$(obj).val(_dict.ar[f][pk]);
			}));
		}
	 }
}

var changeID = "";
function _mutiSelDropdown(obj){
	changeID = obj.id;
	if (typeof (mimiCheakShowDrawReturnAC)!="undefined"){
		if(mimiCheakShowDrawReturnAC()){
			return;
		}
	}
	str=$(obj).attr("items");

	ar=str.split(',');
	if (ar[ar.length-1]==""){
		ar.splice(ar.length-1,1);
	}
	if(ar.length<1){
		alertBox("您还未设置下拉选项内容");
		return;
	}
	sels="";
	$(obj).children("span").each(function (){
		sels+=$(this).text()+',';
	});
	showDrawer(menuGetMutiHtml(ar,sels,function (sels){
		sel=sels.split(',');
		txt="";
		if (sels.length<1){
			txt+="<span>"+"点击选择"+"</span>";
		}else {
			for(var i=0;i<sel.length;i++){
				txt+="<span>"+sel[i]+"</span>";}

		}
		$(obj).html(txt);
	}));
}

//得到带checkbox框的cellHTML
//checkID checkBox id
//capiton 左边内容提示文字
function listGetCheckBoxHtml(inputID,caption,checked){
	return "<label style='font-size:16px;width:35%'>"+caption+"</label><div id='"+inputID+"' class='switch pull-right' style='margin-top:-5px;' on='false' onclick='onSwitchClicked(this);'><div class='switchHandle'></div></div>";
}

//得到带输入框的cellHTML
//inputID 输入框id
//capiton 左边内容提示文字
//holder  输入框输入提示文字
function listGetTextareaHtml(inputID,caption,holder){

	// return  "<div class='pull-left' style='padding:5px 0px 5px 0px;font-size:16px;width:35%'>"+caption+"</div>"+
	// 	"<textarea id='"+inputID+"' style='margin-left:10%;background: white;width:60% ;color:#666666;font-size:14px;border:0px solid #dddddd;border-radius: 0px;height: 90px;text-align:right;' placeholder='"+holder+"' ></textarea>";

	return  "<div class='pull-left' style='padding:0px 0px 5px 0px;font-size:16px;'>"+caption+"</div>"+
		"<div id='"+inputID+"divv' style=' margin-left:80px;background: white;'>"+
		"<textarea id='"+inputID+"' style='width:98% ;color:#666666;font-size:14px;border:0px solid #dddddd;border-radius: 0px;height: 90px;text-align:right;' placeholder='"+holder+"' ></textarea>"+
		"</div>";
	// 	"</div>";
	// return "<label style='font-size:16px;width:35%'>"+caption+"</label><textarea id='"+inputID+"' class='pull-right' style='margin-bottom:80px；width:60%;margin:0px;padding:0px;border:none;background:white;text-align:right;color:#666666;font-size:14px; height:90px;' placeholder='"+holder+"'/>";
}

//得到带文本输入框的cellHTML
//capiton 左边内容提示文字ty
//value  右边文字
function listGetTxtHtml(txtID,caption,value){
	return "<label  class='pull-left' style='font-size:16px;width:35%;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;'>"+caption+"</label><div id='"+txtID+"' style='text-align: right;width:60%;margin:0 0 0 40%;min-height: 20px;padding:0px;border:none;background:white;color:#666666;font-size:14px; '>"+value+"</div>";
}

//得到带文本输入框的cellHTML
//inputID 输入框id
//capiton 左边内容提示文字ty
//holder  输入框输入提示文字
function listGetInputHtml(inputID,caption,holder,type){
	if(typeof (type) != "string"||type.length<1){
		type = "text";
	}
	return "<input id='"+inputID+"' type='"+type+"' class='pull-right' style='width:60%;margin:0px;padding:0px;border:none;background:white;text-align:right;color:#666666;font-size:14px; height:18px;' placeholder='"+holder+"'/><label style='font-size:16px;width:35%'>"+caption+"</label>";
}

//得到带输入框以及选择列表的cellHTML
//inputID 输入框id
//capiton 左边内容提示文字
//holder  输入框输入提示文字
// items 选项
// 请求id
function listGetInputSHtml(inputID,caption,holder,items,scid,addItems){
	var addStr = '';
	if(typeof (addItems)!='undefined'){
		addStr = addItems;
	}
	if (typeof (scid)!='undefined'&&scid.length>0){
		txt="<table style='width:100%'><tr><td valign='center' width='25%'><label style='font-size:16px;'>"+caption+"</label></td><td align='right'><input id='"+inputID+"' style='max-width: 55%;border:none;background:none;text-align:right;color:#666666;font-size:14px; height:18px;' class='mutiSelector' >";

		txt+="</div></td><td width='20' align='right'><i addItm = \""+addStr+"\"  onClick ='showDict($(\"#"+inputID+"\"),\""+scid+"\",\"1\",\"\",this)' class='fa fa-sort-down pull-right'></i></td></tr></table>";

		return txt;
	}

	str="";
	if (typeof (items)=='undefined'){
		items = new Array();
	}
	for(var i=0;i<items.length;i++){
		str+=items[i]+",";
	}


	txt="<table style='width:100%'><tr><td valign='center' width='25%'><label style='font-size:16px;'>"+caption+"</label></td><td align='right'><input id='"+inputID+"' style='max-width: 55%;border:none;background:none;text-align:right;color:#666666;font-size:14px; height:18px;'   class='mutiSelector' items='"+str+"'>";




	txt+="</div></td><td width='20' align='right'><i onClick ='_listShowItems(\""+inputID+"\",\""+items+"\")' class='fa fa-sort-down pull-right'></i></td></tr></table>";

	return txt;


	// onclick='_mutiSelDropdown(this);
	// return "<label style='font-size:16px;width:35%'>"+caption+"</label><button onClick ='_listShowItems(\""+inputID+"\",\""+items+"\")' style='border:none;background:white;padding:0px 0 0 10px;font-size:16px;' class = 'pull-right'><i class='fa fa-sort-down'></i></button><input id='"+inputID+"' class='pull-right' style='width:60%;margin:0px;padding:0px;border:none;background:white;text-align:right;color:#666666;font-size:14px; height:20px;' placeholder='"+holder+"'/>";

}
//ty:1 txt 默认val
function _listShowItems(inputID,items){
	var ar = items.split(",");
	if(typeof (ar)=='undefined'){
		ar = new Array();
	}
	if(ar.length<1){
		alertBox("您还未设置下拉选项内容");
		return;
	}
	showDrawer(menuGetItemHtml(items.split(","), function (ar){
		$("#"+inputID).val(items.split(",")[ar]);
	}));
}

//得到标准的datePickerllHTML
//caption 标题
function listGetDTPickerHtml(inputID,caption){
	txt="<label style='font-size:16px;'>"+caption+"</label><i class='fa fa-sort-down pull-right'></i><div id='"+inputID+"' class='pull-right' style='width:120px;height:16px;text-align:right;color:#999999'>";
	txt+="</div>";
	return txt;
}

//添加一个loadMore的footer
//listid 要添加footer的list 的 id
//func 当需要加载更多的时候回调函数
var loadmoreFunc;
var isLodingMore;
function listAddLoadMore(listID,func){
	$("<div id='loadmoreFooter' style='background:#efefef;height:50px;line-height:50px;text-align:center;'><i class='fa fa-spinner fa-pulse' style='margin-right:10px;'></i>正在拼命加载更多内容</div>").appendTo("#"+listID);
	document.addEventListener('scroll', _listScrollEvent);
	loadmoreFunc=func;
	isLodingMore=false;
}

//删除一个loadMore的footer,当没有更多内容要加载之后，需要调用这个函数移除加载更多
//listid 要添加footer的list 的 id
//func 当需要加载更多的时候回调函数
function listRemoveLoadMore(listID){
	var loaded=false;
	$("#loadmoreFooter").remove();
	document.removeEventListener('scroll', _listScrollEvent);
}
function _listScrollEvent(e){
	if (!isLodingMore){
		var t = document.documentElement.scrollTop || document.body.scrollTop;
		if(t+$(window).height()>$("#loadmoreFooter").position().top)
		{
			isLodingMore=true;
			loadmoreFunc();
		}}
}

//创建一个下拉刷新
//listID 需要下拉刷新的list的id
//func   用户选择刷新以后要触发的事件
var _startLR=-1;
function listAddLoadRefresh(listID,func){
	$("<div id='loadRefreshHeader' style='background:#efefef;height:0px;text-align:center;'></div>").prependTo("#"+listID);
	document.addEventListener('touchmove', function (){
		if (document.body.scrollTop<1){
			if (_startLR==-1){
				_startLR=event.touches[0].screenY;
			}
			//$("#inputid").val(_lastLRScroll+";"+event.touches[0].screenY);
			//判断方向
			mh=event.touches[0].screenY-_startLR;
			if (mh>=0){
				$("#loadRefreshHeader").height(mh);
				$("#loadRefreshHeader").css("line-height",$("#loadRefreshHeader").height()+"px");}

			if (mh>80){$("#loadRefreshHeader").html("释放刷新")}
			else if (mh>10){$("#loadRefreshHeader").html("下拉刷新")}

		}
	},true);
	document.addEventListener('touchstart', function (){
		_startLR=-1;//event.touches[0].screenY;
	},true);

	document.addEventListener('touchend', function (){

		if ($("#loadRefreshHeader").height()<80)
		{
			//太小，不刷新
			listLoadRefreshOK();
		}
		else
		{
			if ($("#loadRefreshHeader").height()>150)
			{
				$("#loadRefreshHeader").animate({height:'120px'},"slow");
			}
			$("#loadRefreshHeader").html("<i class='fa fa-spinner fa-pulse fa-2x' style='vertical-align:middle;'></i>");
			func();
		}},true);
}
//数据更新后，调用这个函数解除下拉刷新状态
function listLoadRefreshOK(){
	$("#loadRefreshHeader").animate({height:'0px'},"slow");
	setTimeout(function (){$("#loadRefreshHeader").html("");},500);
}


//Loading
// function showLoading(txt)
// {
// 	if (txt==""){txt="玩命加载中";}
// 	if (document.getElementById("loadBack")==null)
// 	{
// 		$("body").append("<div id='loadBack' style='background-color:rgba(0,0,0,0.5);opacity:0;width:100%;top:0px;height:100%;position:fixed;z-index:999999999'><div  id='loadIcon' style='opacity:0;margin-top:0px;text-align:center'><div class='ball-scale-multiple' style='margin:auto;width:60px;'><div></div><div></div><div></div></div><p id='mmLoadText' style='color:white;font-size:12px;'><br>&nbsp;<br>"+txt+"</p></div></div>");
//
// 		$("#loadBack").animate({opacity:'1'});
// 		$("#loadIcon").animate({marginTop:'200px',opacity:'1'},"fast");
// 	}else{$("#mmLoadText").text(txt);}
// }
//
// function hideLoading()
// {
// 	$("#loadIcon").animate({marginTop:'0px',opacity:'0'},"fast");
// 	$("#loadBack").animate({ opacity:'0'},"1000",function(){$("#loadBack").remove();});
// }

function showClearLoading()
{
	if (document.getElementById("loadBack")==null)
	{
		$("body").append("<div id='loadBack' style='background-color:rgba(1,1,1,1);opacity:0;width:100%;top:0px;height:100%;position:fixed;z-index:999999999'></div>");
		// $("#loadBack").animate({opacity:'1'});
	}
}
function hideClearLoading()
{
	$("#loadBack").animate({ opacity:'0'},"1000",function(){$("#loadBack").remove();});
	// $("#loadBack").remove();
}
//Loading
function showLoading(txt)
{
	if (txt==""){txt="玩命加载中";}
	if (document.getElementById("loadBack")==null)
	{
		$("body").append("<div id='loadBack' style='background-color:rgba(255,255,255,0.01);opacity:0;width:100%;top:0px;height:100%;position:fixed;z-index:999999999'><div  id='loadIcon' style='opacity:0;margin-top:0px;text-align:center'><div class='ball-scale-multiple' style='margin:auto;width:60px;'><div></div><div></div><div></div></div><p id='mmLoadText' style='color:black;font-size:12px;'><br>&nbsp;<br>"+txt+"</p></div></div>");

		$("#loadBack").animate({opacity:'1'});
		$("#loadIcon").animate({marginTop:'200px',opacity:'1'},"fast");
	}else{$("#mmLoadText").text(txt);}
}

function hideLoading()
{
	// $("#loadIcon").animate({marginTop:'0px',opacity:'0'},"fast");
	$("#loadBack").animate({ opacity:'0'},"1000",function(){$("#loadBack").remove();});
}

function showLoadBar(percent){
	if (percent==100){
		//隐藏loadBar
		$("#mmLoadingBar").remove();
	}
	else
	{
		if (document.getElementById("mmLoadingBar")==null){
			$("body").prepend("<div id='mmLoadingBar' style='position:absolute;left:0px;top:0px;background-color:#66FFFF;height:3px;z-index:99999999;'></div>");
		}
		$("#mmLoadingBar").width($(document).width()*percent/100);
	}
}

//Toast
function showToast(txt){
	$("body").append("<div id='mimiToast' class='animated bounceIn'  style='background-color:rgba(0,0,0,0.5);padding:10px;border-radius:5px;position:fixed;left:5%;top:50%;width:80%;color:white;text-align:center;'>"+txt+"</div>");
	setTimeout(function (){$("#mimiToast").remove();},3000);
}

//显示弹出提示
//txt        提示内容
//showTime   显示存在时间，单位：毫秒  如果 =0 则必须用户手工关闭
//type    显示的类型（颜色）success info warning danger
function showHint(txt,showTime,type){
	switch (type){
		case "info":
			k="info-circle";
			break;
		case "success":
			k="check-circle";
			break;
		case "warning":
			k="warning";
			break;
		case "danger":
			k="times-circle";
			break;
	}
	$("body").prepend("<div onclick='_closeHint();' id='popToast' class='animated fadeInDown alert alert-"+type+"'   style='position:fixed;z-index:9999999;left:0px;top:0px;width:88%;box-shadow:0px 1px 2px rgba(0,0,0,0.5);'><i class='fa fa-"+k+"' style='margin-right:10px;'></i>"+txt+"<span class='pull-right'>&times;</span></div>");
	setTimeout(function (){
		$("#popToast").removeClass("animated");
		$("#popToast").removeClass("fadeInDown");
	},1000);
	if(showTime!=0){setTimeout(function(){_closeHint();}, showTime);}
}
function _closeHint(){
	$("#popToast").addClass("fadeOutUp");
	$("#popToast").addClass("animated");
	setTimeout(function(){
		$('#popToast').remove();
	}, 1000);
}

//Search bar
function searchAddBar(parent,inputID,onsearch,history){
	txt="<div style='background:white;padding:5px;margin:10px;border:1px solid #dddddd;border-radius:10px;'><i class='fa fa-search' style='margin-right:5px;margin-left:5px;'></i><input id='"+inputID+"'  style='background:none;border:none;width:70%;height:20px;font-size:16px;color:#666666;' onkeyup='"+onsearch+"(event);' onfocus='_searchBarFocus(this);' onblur='_searchBarBlur(this);'/><button class='btn btn-danger btn-size-xs pull-right' hidden='hidden'>放弃</button></div><div id='history' hidden='hidden'>";
	if (history!="")
	{
		ar=history.split(";");
		for (i=0;i<ar.length;i++)
		{
			txt+="<div style='padding:10px;padding-left:40px;' onclick='$(this).parent().prev().children().eq(1).val(\""+ar[i]+"\");"+onsearch+"();'>"+ar[i]+"</div>";
		}}
	txt+="</div>";
	$("#"+parent).prepend(txt);
}
function _searchBarFocus(obj){
	$(obj).prev().addClass("rubberBand");
	$(obj).prev().addClass("animated");
	setTimeout(function(){
		$(obj).prev().removeClass("animated");
		$(obj).prev().removeClass("rubberBand");
	}, 1000);
	$(obj).next().show("fast");
	$(obj).parent().next().show("fast");
}
function _searchBarBlur(obj){
	$(obj).next().hide("fast");
	$(obj).next().next().hide("fast");
	$(obj).parent().next().hide("fast");
}

//showAlerts
function hideAlert(){
    if (typeof (_AlertCallback) != 'undefined') {
        if (document.getElementById("textInput")!=null){
            var textA=$("#textInput").val();

            _AlertCallback(textA);
        }else {
           // _AlertCallback();
        }
        _AlertCallback = null;
    }
    $("#alertMainbox").removeClass("bounceInUp animated");
    $("#alertMainbox").addClass("fadeOutUp animated");
    $("#alertBack").animate({ opacity:'0'},"1000",function(){$("#alertBack").remove();});
}

//欢迎总管家的弹出框
function hideFuncAlert(){
    if (typeof (_AlertCallback) != 'undefined') {
        _AlertCallback();
        _AlertCallback = null;
    }
    $("#alertMainbox").removeClass("bounceInUp animated");
    $("#alertMainbox").addClass("fadeOutUp animated");
    $("#alertBack").animate({ opacity:'0'},"1000",function(){$("#alertBack").remove();});
}

function hideLimitNumAlert(num){
    if (typeof (_AlertCallback) != 'undefined') {
        if (document.getElementById("textInput")!=null){
            var textA=$("#textInput").val();
            if(typeof(num)!="undefined"){
                if(textA.length>Number(num)){
                    alertBox("文件名已超过"+num+"位字符，请重新编辑");
                    return;
                }
            }
            _AlertCallback(textA);
        }else {
            _AlertCallback();
        }
        _AlertCallback = null;
    }
    $("#alertMainbox").removeClass("bounceInUp animated");
    $("#alertMainbox").addClass("fadeOutUp animated");
    $("#alertBack").animate({ opacity:'0'},"1000",function(){$("#alertBack").remove();});
}
//点击取消的时候
function cancelHideAlert(){
    if (typeof (_AlertCallback) != 'undefined') {

        _AlertCallback = null;
    }
    $("#alertMainbox").removeClass("bounceInUp animated");
    $("#alertMainbox").addClass("fadeOutUp animated");
    $("#alertBack").animate({ opacity:'0'},"1000",function(){$("#alertBack").remove();});
}
var _AlertCallback;
function showAlert(txt,type,func){
	if (typeof (func)!="undefined"){
		_AlertCallback = func;
	}

	switch (type)
	{
		case 0://成功
			AlertEX(txt,"fa fa-check","#19b698","80%");
			break;
		case 1://错误
			AlertEX(txt,"fa fa-times","#c9302c","80%");
			break;
		case 2://提示
			AlertEX(txt,"fa fa-warning","#31b0d5","80%");
			break;
	}
}

function AlertEX(txt,logo,color,wid){
	if (document.getElementById("alertBack")==null)
	{

		$("body").append("<div id='alertBack' onclick='hideAlert();' style='background-color:rgba(0,0,0,0.5);opacity:0;width:100%;top:0px;height:100%;position:fixed;z-index:999999999'><div id='alertMainbox' style='width:80%;border:1px solid #666666; margin:80px auto;background-color:white;box-shadow:0px 5px 20px 5px rgba(0,0,0,0.2);border-radius: 10px;'><div id='alertTxt'><div style='width:70px;height:70px;margin:auto;border-radius:50%;text-align:center;color:"+color+";border:3px solid #eeeeee;margin:30px auto 30px;'><i class='"+logo+"' style='font-size:30px;line-height:70px'></i></div><div style='color:#666666;text-align:center;margin:20px;'>"+txt+"</div></div><div id='alertBottom' style='text-align:right;padding:10px;'><button class='btn btn-success'   style='width:100%' onclick='hideAlert();'>确认</button></div></div></div>");

	}
	$("#alertBack").animate({opacity:'1'});
	$("#alertMainbox").addClass("bounceInUp animated");
}

//功能页的帮助的弹出框
function showAlertFunc(func) {
	if(typeof (func)!="undefined"){
		_AlertCallback=func;
	}
    if (document.getElementById("alertBack")==null)
    {
    	var imageUrl="..\/..\/images/alert.png";
    	var baseW=getClientWidth();
    	var heightA=baseW*0.8*6/7;
    	var sbCoding="<div id='alertBack' onclick='hideAlert();' style='background-color:rgba(0,0,0,0.5);opacity:0;width:100%;top:0px;height:100%;position:fixed;z-index:999999999'>";
    	sbCoding+="<div id='alertMainbox' style='width:80%; margin:120px auto;'>";
    	sbCoding+="<div id='alertTxt' style='background: url("+imageUrl+") local center no-repeat;background-size: cover;width: 100%;height: "+heightA+"px'></div>";
    
    	sbCoding+="<div id='alertBottom' style='text-align:right;padding:10px 20px;margin-top: -30px'><button class='btn btn-success'    style='width:100%;background: #3366cc;border-color: #bce8f1;font-size: 15px ;border-radius: 20px;height: 40px;border: 3px solid;font-weight: bold ' onclick='hideFuncAlert();'>确定</button></div>";
        sbCoding+="</div></div>";
    	$("body").append(sbCoding);

    }
    $("#alertBack").animate({opacity:'1'});
    $("#alertMainbox").addClass("bounceInUp animated");
}

var _ChoiceCallback;
function showChoice(txt,btns,type,func){
	major=-1;
	_ChoiceCallback=func;
	_AlertCallback=func;
	switch (type)
	{
		case "warning"://警告	
			logo="fa fa-warning";
			color="red";
			break;
		case "question":
			logo="fa fa-question";
			color="#f16e3f";
			break;
		case "check":
			logo="fa fa-check";
			color="#19b698";
			break;
	}
	if (document.getElementById("alertBack")==null)
	{
		$("body").append("<div id='alertBack' style='background-color:rgba(0,0,0,0.5);opacity:0;width:100%;top:0px;height:100%;position:fixed;z-index:999999999'><div id='alertMainbox' style='width:80%;border:1px solid #666666; margin:80px auto;background-color:white;box-shadow:0px 5px 20px 5px rgba(0,0,0,0.2);border-radius: 10px;'><div id='alertTxt'><div style='width:70px;height:70px;margin:auto;border-radius:50%;text-align:center;color:"+color+";border:3px solid #eeeeee;margin:30px auto 30px;'><i class='"+logo+"' style='font-size:30px;line-height:70px'></i></div><div style='color:#666666;text-align:center;margin:20px;'>"+txt+"</div></div><div id='alertBottom' style='background-color:#eeeeee;text-align:right;border-top:1px solid #dddddd;padding:5px;'></div></div></div>");
		if(major==-1){major=btns.length-1;}
		for(i in btns)
		{
			i!=major?col="btn-default":col="btn-success";
			$("#alertBottom").append("<button btnid='"+i+"' class='btn "+col+"' style='margin:5px' onclick='hideAlert();_choiceBtnClick(this);'>"+btns[i]+"</button>");

		}
	}
	$("#alertBack").animate({opacity:'1'});
	$("#alertMainbox").addClass("bounceIn animated");
}
function _choiceBtnClick(obj){
	_ChoiceCallback($(obj).attr("btnid"));
}

//文本填写
function editTextShow(title,placeHolder,text,func){
	_AlertCallback=func;

    if (document.getElementById("alertBack")==null)
    {


        var sbCoding="<div id='alertBack' style='background-color:rgba(0,0,0,0.5);opacity:0;width:100%;top:0px;height:100%;position:fixed;z-index:999999999'>";
        sbCoding+="<div id='alertMainbox' style='width:80%;border:1px solid #666666; margin:80px auto;background-color:white;box-shadow:0px 5px 20px 5px rgba(0,0,0,0.2);border-radius: 10px;'>";
        sbCoding+="<div id='alertTxt' style='border-bottom: 0.3px solid #cccccc'><div style='color:#666666;text-align:left;margin:10px;'>"+title+"</div></div>";
        sbCoding+="<div style='margin: 10px 20px'><textarea id='textInput' style='width: 100%;font-size: medium' placeholder='"+placeHolder+"' >"+text+" </textarea></div>";
        sbCoding+="<div id='alertBottom' style='padding:0px 10px 10px 10px;'><button class='btn btn-success'   style='width:30%;margin-left: 30px;background: white;color:black;border-color: #cccccc' onclick='cancelHideAlert();'>取消</button><button class='btn btn-success'   style='width:30%;float: right;margin-right: 30px' onclick='hideAlert();'>确认</button></div>";
        sbCoding+="</div></div>";
        $("body").append(sbCoding);


    }
    $("#alertBack").animate({opacity:'1'});
    $("#alertMainbox").addClass("bounceInUp animated");

}

//字数限制的文本填写
function editTextShowLimitNum(title,placeHolder,text,func,num){
    _AlertCallback=func;

    if (document.getElementById("alertBack")==null)
    {


        var sbCoding="<div id='alertBack' style='background-color:rgba(0,0,0,0.5);opacity:0;width:100%;top:0px;height:100%;position:fixed;z-index:999999999'>";
        sbCoding+="<div id='alertMainbox' style='width:80%;border:1px solid #666666; margin:80px auto;background-color:white;box-shadow:0px 5px 20px 5px rgba(0,0,0,0.2);border-radius: 10px;'>";
        sbCoding+="<div id='alertTxt' style='border-bottom: 0.3px solid #cccccc'><div style='color:#666666;text-align:left;margin:10px;'>"+title+"</div></div>";
        sbCoding+="<div style='margin: 10px 20px'><textarea id='textInput' style='width: 100%;font-size: medium' placeholder='"+placeHolder+"' >"+text+"</textarea></div>";
        sbCoding+="<div id='alertBottom' style='padding:0px 10px 10px 10px;'><button class='btn btn-success'   style='width:30%;margin-left: 30px;background: white;color:black;border-color: #cccccc' onclick='cancelHideAlert();'>取消</button><button class='btn btn-success'   style='width:30%;float: right;margin-right: 30px' onclick='hideLimitNumAlert(\""+num+"\");'>确认</button></div>";
        sbCoding+="</div></div>";
        $("body").append(sbCoding);


    }
    $("#alertBack").animate({opacity:'1'});
    $("#alertMainbox").addClass("bounceInUp animated");

}

//dropdownMenu相关函数

function dropMenuClick(event,obj){

	event.preventDefault();
	event.stopPropagation();

	if($(obj).children("ul").is(":hidden")){

		$(obj).children("ul").show("fast");

		document.addEventListener("touchstart", function _dropClose(e){
			if (!$(e.target).hasClass("menuItem")){
				$($(obj).children("ul")).hide("fast",function () {
					document.removeEventListener("click", _dropClose);
					console.log("removed");
				});
			}
		});
	}
	else
	{
		// setTimeout(function () {
		$($(obj).children("ul")).hide("fast");
		document.removeEventListener("touchstart", _dropClose);
		// },500);

	}
}

function _dropClose(e){

}

//switch相关函数
function switchOn(switchID,isOn){
	if (isOn){
		$("#"+switchID).children().first().css("margin-left","30px");
		$("#"+switchID).css("background","#3366CC");
		$("#"+switchID).attr("on","true");
	}
	else
	{
		$("#"+switchID).children().first().css("margin-left","1px");
		$("#"+switchID).css("background","#eaeaea");
		$("#"+switchID).attr("on","false");
	}
}

function onSwitchClicked(obj){
	switchOn($(obj).attr("id"),$(obj).attr("on")!="true");
}




//
// function showPic(html){
// 	if (document.getElementById("meizudiv")!=null){
// 		$("#meizudiv").remove();
// 	}
// 	$("body").append('<div id="meizudiv" style="visibility:hidden"></div>');
// 	if (document.getElementById("drawerBack")!=null){
// 		$("#drawerBack").remove();
// 	}
// 	$("body").append("<div id='drawerBack' style='opacity:0' onclick='hideDrawer();' class='drawerGroupBack'><div id='drawerWrap' style='height:50%;width:50%'>"+html+"</div></div>");
// 	$("#drawerWrap").addClass("bounceInUp animated");
// 	$("#drawerBack").animate({opacity:'1'});
// 	//阻止下面被滑
// 	var isTime = false;
//
// 	if (html.indexOf("mmShowDate")>=0){
// 		isTime = true;
// 	}
// 	var startY, moveEndY, Y;
// 	var isfrist = true;
// 	var isscoll = true;
// 	$("#drawerBack").on("touchstart",function (){
// 		startY = event.touches[0].pageY;
// 		$("#meizudiv").html("meizudiv");
// 	});
//
//
// 	$("#drawerBack").on("touchmove",function (){
// 		moveEndY = event.changedTouches[0].pageY;
// 		Y = moveEndY - startY;
// 		var touch = event.touches[0]; //获取第一个触点
// 		var y = Number(touch.pageY); //页面触点Y坐标
// 		//记录触点初始位置
// 		y -= $("body").scrollTop();
// 		if (y <  $("#drawerWrap").position().top){
// 			//没有在弹出框范围内
// 			event.preventDefault();
// 			event.stopPropagation();
// 			return;
// 		}
// 		if(isTime){
// 			return;
// 		}
// 		var viewH = $("#drawerWrap").height();//可见高度
// 		var contentH = $("#drawerWrap").get(0).scrollHeight;//内容高度
// 		var scrollTop = $("#drawerWrap").scrollTop();//滚动高度
//
// 		if (isfrist){
// 			isfrist = false;
// 			$("#drawerWrap").scrollTop(10);//控制滚动条下移10px
// 			if( $("#drawerWrap").scrollTop()>0 ){
// 				isscoll = true;
// 				$("#drawerWrap").scrollTop(0);
// 			}else{
// 				isscoll = false;
// 				$("#drawerWrap").scrollTop(0);
// 			}
//
// 		}
// 		if(!isscoll){
// 			// 无滚动条
// 			event.preventDefault();
// 			event.stopPropagation();
// 			return;
// 		}
//
// 		if(scrollTop/(contentH - viewH)>= 0.95&& Y < 0){ //到达底部100px时,加载新内容
// 			// alert("噢,滚动条到底部了.");
// 			// Y > 0) {alert(‘向下’);}
// 			// 底部下滑
// 			event.preventDefault();
// 			event.stopPropagation();
// 			return;
// 		}
// 		if(scrollTop/(contentH - viewH)<= 0.05&& Y > 0) { //到达底部100px时,加载新内容
// 			// alert("噢,滚动条到顶部了.");
// 			// 顶部上滑
// 			event.preventDefault();
// 			event.stopPropagation();
// 			return;
// 		}
// 		event.stopPropagation();
// 	});
// }






//drawer相关函数
function showDrawer(html){
	if (document.getElementById("meizudiv")!=null){
		$("#meizudiv").remove();
	}
	$("body").append('<div id="meizudiv" style="visibility:hidden"></div>');
	if (document.getElementById("drawerBack")!=null){
		$("#drawerBack").remove();
	}
	$("body").append("<div id='drawerBack' style='opacity:0' onclick='hideDrawer();' class='drawerGroupBack'><div id='drawerWrap' class='drawerGroup'>"+html+"</div></div>");
	$("#drawerWrap").addClass("bounceInUp animated");
	$("#drawerBack").animate({opacity:'1'});
	//阻止下面被滑
	var isTime = false;

	if (html.indexOf("mmShowDate")>=0){
		isTime = true;
	}
	var startY, moveEndY, Y;
	var isfrist = true;
	var isscoll = true;
	$("#drawerBack").on("touchstart",function (){
		startY = event.touches[0].pageY;
		$("#meizudiv").html("meizudiv");
	});


	$("#drawerBack").on("touchmove",function (){

		moveEndY = event.changedTouches[0].pageY;
		Y = moveEndY - startY;

		var touch = event.touches[0]; //获取第一个触点
		var y = Number(touch.pageY); //页面触点Y坐标
		//记录触点初始位置
		y -= $("body").scrollTop();
		if (y <  $("#drawerWrap").position().top){
			//没有在弹出框范围内
			event.preventDefault();
			event.stopPropagation();
			return;
		}
		if(isTime){
			return;
		}
		var viewH = $("#drawerWrap").height();//可见高度
		var contentH = $("#drawerWrap").get(0).scrollHeight;//内容高度
		var scrollTop = $("#drawerWrap").scrollTop();//滚动高度

		if (isfrist){
			isfrist = false;
			$("#drawerWrap").scrollTop(10);//控制滚动条下移10px
			if( $("#drawerWrap").scrollTop()>0 ){
				isscoll = true;
				$("#drawerWrap").scrollTop(0);
			}else{
				isscoll = false;
				$("#drawerWrap").scrollTop(0);
			}

		}
		if(!isscoll){
			// 无滚动条
			event.preventDefault();
			event.stopPropagation();
			return;
		}

		if(scrollTop/(contentH - viewH)>= 0.95&& Y < 0){ //到达底部100px时,加载新内容
			// alert("噢,滚动条到底部了.");
			// Y > 0) {alert(‘向下’);}
			// 底部下滑
			event.preventDefault();
			event.stopPropagation();
			return;
		}
		if(scrollTop/(contentH - viewH)<= 0.05&& Y > 0) { //到达底部100px时,加载新内容
			// alert("噢,滚动条到顶部了.");
			// 顶部上滑
			event.preventDefault();
			event.stopPropagation();
			return;
		}
		event.stopPropagation();
	});
}

function hideDrawer(){
	if (document.getElementById("drawerBack")!=null){
		$("#drawerWrap").removeClass("bounceInUp animated");
		$("#drawerWrap").addClass("fadeOutDown animated");
		$("#drawerBack").animate({opacity:'0'});
		setTimeout(function (){$("#drawerBack").remove();},500);
		if (typeof (changeID)!='undefined'&&changeID.length>0){
			changeSeles(changeID);
		}

	}
}

var drawerfunc;
function menuGetItemHtml(items,func){

	drawerfunc=func;
	s="<ul class='menuItems'>";
	for (i=0;i<items.length;i++){
		s+="<li mid='"+i+"' onclick='_DrawerItemClick(this);'>"+items[i]+"</li>";
	}
	return s+"</ul>";
}

function menuGetItemAndTitleHtml(items,title,func){

    drawerfunc=func;
    s="<ul class='menuItems'><label style='color: #cccccc;font-size: 12px'>"+title+"</label>";
    for (i=0;i<items.length;i++){
        s+="<li mid='"+i+"' onclick='_DrawerItemClick(this);'>"+items[i]+"</li>";
    }
    return s+"</ul>";
}

function _DrawerItemClick(obj){

	changeID = obj.id;
	drawerfunc($(obj).attr("mid"));
}

function menuGetMutiHtml(items,selected,func){
	drawerfunc=func;
	sel=selected+",";
	ps="";
	s="<ul class='menuItems'>";
	for (i=0;i<items.length;i++){
		if(sel.indexOf(items[i]+",")>=0)
		{ps="mutiChecked";}else{ps="mutiCheck";}
		s+="<li class='"+ps+"' mid='"+i+"' onclick='_DrawerMutiClick(event);'>"+items[i]+"</li>";
	}
	return s+"</ul>";
}

function _DrawerMutiClick(e){
	if ($(e.target).attr("class")=="mutiCheck"){
		$(e.target).attr("class","mutiChecked");
		$(e.target).addClass("pulse animated");
		setTimeout(function (){$(e.target).removeClass("pulse animated");},800);
	}else{
		$(e.target).attr("class","mutiCheck");
		$(e.target).addClass("pulse animated");
		setTimeout(function (){$(e.target).removeClass("pulse animated");},800);
	}
	s="";
	$(".mutiChecked").each(function (){
		s+=$(this).text()+",";
	});
	if (s.length>0){s=s.substr(0,s.length-1);}
	drawerfunc(s);
	e.stopPropagation();
}

function menuGetDateHtml(func){
	drawerfunc=func;
	s="<button class='pull-right btn btn-default' onclick='_toOrgsel()' style='margin:10px -10px 0 0'><i class='fa fa-calendar'></i></button><div id='mmShowDate' style='color:green;font-size:20px;padding-top:10px;text-align:center;margin:20px;'></div><table width='100%' height='230' style='color:#999999;'><tr><td><div class='upDownRoll' id='mimiDPYear'></div></td><td><div id='mimiDPMonth' class='upDownRoll'><div style='height:100px'></div><div>一月</div><div>二月</div><div>三月</div><div>四月</div><div>五月</div><div>六月</div><div>七月</div><div>八月</div><div>九月</div><div>十月</div><div>十一月</div><div>十二月</div><div style='height:100px'></div></td><td><div id='mimiDPDay' class='upDownRoll'></div></div></td><tr></table>";
	return s;
}

function _toOrgsel() {

	var times = $('#mmShowDate').attr("y")+"-"+$('#mmShowDate').attr("m")+"-"+$('#mmShowDate').attr("d");

	mimiChooseDate(times);
}

function _makDPDay(y,m){
	dy=new Date(y,m,0);
	s="<div style='height:100px'></div>";
	for (i=1;i<=dy.getDate();i++){
		s+="<div>"+i+"日</div>";
	}
	$("#mimiDPDay").html(s+"<div style='height:100px'></div>");
	$("#mimiDPDay").attr("maxday",dy.getDate());
}

var mmLastMon=0;
var mmLastDay=0;
var mmLastYear=0;
function setDefDate(defDate){
	if (defDate==null || defDate==""){
		date = new Date();
		m=date.getMonth()+1;
		defDate=date.getFullYear()+"-"+m+"-"+date.getDate();
	}
	ar=defDate.split('-');
	_makDPDay(ar[0],ar[1]);
	s="<div style='height:100px'></div>";
	for (i=1900;i<2030;i++){
		s+="<div>"+i+"年</div>";
	}
	$("#mimiDPYear").html(s+"<div style='height:100px'></div>");
	$('#mmShowDate').text(ar[0]+'年'+ar[1]+'月'+ar[2]+'日');
	$('#mmShowDate').attr("y",ar[0]);
	$('#mmShowDate').attr("m",ar[1]);
	$('#mmShowDate').attr("d",ar[2]);
//归位
	$('#mimiDPMonth').scrollTop((parseInt(ar[1])-1)*40);
	$('#mimiDPDay').scrollTop((parseInt(ar[2])-1)*40);
	$('#mimiDPYear').scrollTop((parseInt(ar[0])-1900)*40);

	$('#mimiDPMonth').scroll(function (e){
		//得到当前滚动月份
		i=parseInt(($('#mimiDPMonth').scrollTop()+50)/40);
		if (i>12){i=12;}
		if (i<0){i=0;}
		if (mmLastMon!=i){
			mmLastMon=i;
			$('#mimiDPMonth').children().css("color","#999999");
			$('#mimiDPMonth').children().eq(i).css("color","green");
			$('#mmShowDate').attr("m",i);

			var mon = $('#mmShowDate').attr("m");
			mon = cheakTime(mon);
			var day = 	$('#mmShowDate').attr("d");
			day = cheakTime(day);

			$('#mmShowDate').text($('#mmShowDate').attr("y")+"年"+mon+"月"+day+"日");
			_makDPDay($('#mmShowDate').attr("y"),mon);
			drawerfunc($('#mmShowDate').attr("y")+"-"+mon+"-"+day);
		}
		e.stopPropagation();
	});

	$('#mimiDPDay').scroll(function (e){
		//得到当前滚动日期份
		i=parseInt(($('#mimiDPDay').scrollTop()+50)/40);
		if (i>	$("#mimiDPDay").attr("maxday")){i=$("#mimiDPDay").attr("maxday");}
		if (i<0){i=0;}
		if (mmLastDay!=i){
			mmLastDay=i;
			$('#mimiDPDay').children().css("color","#999999");
			$('#mimiDPDay').children().eq(i).css("color","green");
			$('#mmShowDate').attr("d",i);
			var mon = $('#mmShowDate').attr("m");
			mon = cheakTime(mon);
			var day = $('#mmShowDate').attr("d");
			day = cheakTime(day);

			$('#mmShowDate').text($('#mmShowDate').attr("y")+"年"+mon+"月"+day+"日");
			drawerfunc($('#mmShowDate').attr("y")+"-"+mon+"-"+day);
		}
		e.stopPropagation();
	});

	$('#mimiDPYear').scroll(function (e){
		e.stopPropagation();
		//得到当前滚年期份
		i=parseInt(($('#mimiDPYear').scrollTop()+50)/40);
		if (i>130){i=130;}
		if (i<0){i=0;}
		if (mmLastYear!=i){
			mmLastYear=i;
			$('#mimiDPYear').children().css("color","#999999");
			$('#mimiDPYear').children().eq(i).css("color","green");
			$('#mmShowDate').attr("y",i+1899);

			var mon = $('#mmShowDate').attr("m");
			mon = cheakTime(mon);
			var day = $('#mmShowDate').attr("d");
			day = cheakTime(day);

			$('#mmShowDate').text($('#mmShowDate').attr("y")+"年"+mon+"月"+day+"日");
			drawerfunc($('#mmShowDate').attr("y")+"-"+mon+"-"+day);
		}
		e.stopPropagation();
	});
}

function cheakTime(t) {
	if (Number(t)<10&&t.toString().length<2){
		t = "0"+t;
	}
	return t;
}

//时间选择器代码
var aminStep = 1;
function menuGetTimeHtml(minStep,func){
	if (typeof (minStep)!='undefined'){
		aminStep = minStep;
	}
	drawerfunc=func;
	s="<button class='pull-right btn btn-default' onclick='_toOrgTimeSel()' style='margin:10px -10px 0 0'><i class='fa fa-clock-o'></i></button><div id='mmShowDate' style='color:green;font-size:20px;padding-top:10px;text-align:center;margin:20px;'></div><table width='100%' height='230' style='color:#999999;'><tr><td><div class='upDownRoll' id='mimiDPHour'><div style='height:100px'></div>"
	for(i=0;i<24;i++){
		if (i<10){s+="<div>0"+i+"</div>";}else{
			s+="<div>"+i+"</div>";}
	}
	s+="<div style='height:100px'></div></div></td><td style='font-size:30px;text-align:center;width:35px;'>：</td><td><div id='mimiDPMinu' class='upDownRoll'><div style='height:100px'></div>";
	for(i=0;i<60;i+=minStep){
		if (i<10){s+="<div>0"+i+"</div>";}else{
			s+="<div>"+i+"</div>";}
	}
	s+="<div style='height:100px'></div></div></td><tr></table>";
	return s;
}

function _toOrgTimeSel() {

	var times = $('#mmShowDate').attr("h")+":"+$('#mmShowDate').attr("s");

	mimiChooseTime(times);
}

function mimiChooseTime(nowtime){
	if (nowtime==null || nowtime==""){
		date = new Date();
		nowtime=date.getHours()+":"+date.getMinutes();
	}
	var par = {now:nowtime}
	mimiShowModual("26",JSON.stringify(par));
}

function mimiChooseDate(nowtime){
	if (nowtime==null || nowtime==""){
		date = new Date();
		nowtime=date.getYear()+"-"+date.getMonth()+"-"+date.getDay();
	}
	var par = {now:nowtime}
	mimiShowModual("25",JSON.stringify(par));
}

function selectDateBack(str) {
	setTimeout(function () {
		drawerfunc(str.time);
	},200);
}

function setDefTime(defDate){
	if (defDate==null || defDate==""){
		date = new Date();
		defDate=date.getHours()+":"+date.getMinutes();
	}
	ar=defDate.split(':');

	$('#mmShowDate').attr("h",ar[0]);
	$('#mmShowDate').attr("s",ar[1]);
//归位
	$('#mimiDPHour').scrollTop((parseInt(ar[0]))*40);
	$('#mimiDPMinu').scrollTop((parseInt(ar[1]))*40);

	$('#mimiDPHour').scroll(function (e){
		//得到当前滚动月份
		e.stopPropagation();
		i=parseInt(($('#mimiDPHour').scrollTop()+50)/40)-1;
		if (i>23){i=23;}
		if (i<0){i=0;}
		if (mmLastMon!=i){
			mmLastMon=i;
			$('#mimiDPHour').children().css("color","#999999");
			$('#mimiDPHour').children().eq(i+1).css("color","green");
			$('#mmShowDate').attr("h",i);

			if (i<10){mh="0"+i;}else{mh=i;}
			ms=$('#mmShowDate').attr("s");
			if (ms<10){ms="0"+ms;}
			$('#mmShowDate').text(mh+" : "+ms);
			drawerfunc(mh+":"+ms);
		}
	});

	$('#mimiDPMinu').scroll(function (e){
		//得到当前滚动月份
		e.stopPropagation();
		i=parseInt(($('#mimiDPMinu').scrollTop()+50)/40)-1;
		//步长
		i = i * aminStep;
		if (i>59){i=59;}
		if (i<0){i=0;}
		if (mmLastDay!=i){
			mmLastDay=i;
			$('#mimiDPMinu').children().css("color","#999999");
			$('#mimiDPMinu').children().eq(i/aminStep+1).css("color","green");
			$('#mmShowDate').attr("s",i);

			if (i<10){ms="0"+i;}else{ms=i;}
			mh=$('#mmShowDate').attr("h");
			if (mh<10){mh="0"+mh;}
			$('#mmShowDate').text(mh+" : "+ms);
			drawerfunc(mh+":"+ms);
		}
	});
}

/*splashMenu*/
function showSplashMenu(dom,items,selected)
{
	if (document.getElementById("mimiSplashMenu")!=null){return false};
	s="<div id='mimiSplashMenu' class='splashMenu bounceIn animated'>";
	for (var i=0;i<items.length;i++){
		s+="<span id='"+i+"'>"+items[i]+"</span>";
	}
	s+="</div>";
	$("body").append(s);
	$("#mimiSplashMenu").css('left',($(dom).offset().left)+'px');
	xv=($(dom).offset().top-60);
	if (xv<0){xv=0;}
	$("#mimiSplashMenu").css('top',xv+'px');
	$("#mimiSplashMenu span").on("click",function (){
		$(event.target).addClass("animated bounceOutDown");
		pid=$(event.target).attr("id");
		if (pid==null) {pid=$(event.target).parent().attr("id");}
		selected(pid);
		hideSplashMenu();
	});

	document.addEventListener("touchstart", function _dropClose(e){
		hideSplashMenu();
		document.removeEventListener("touchstart", _dropClose);
	});
}

function hideSplashMenu()
{

	$("#mimiSplashMenu").removeClass("bounceIn animated");
	$("#mimiSplashMenu").addClass("bounceOut animated");
	setTimeout(function (){$("#mimiSplashMenu").remove();},1000);

}
/*gotoTop*/
function showGotoTop(){
	if (document.getElementById("mmGotoTop")==null){
		$("body").prepend("<div id='mmGotoTop' style='display:none;position:fixed;z-index:8888888;right:10px;bottom:10px;border-radius:8px;background-color:rgba(0,0,0,0.3);color:white;line-height:40px;width:40px;text-align:center;'><i class='fa fa-arrow-up'></i></div>");
		$("#mmGotoTop").on("click",function (){
			$("html,body").animate({
				scrollTop: '0px'});
		});
	}
	$("#mmGotoTop").show("fast");
}
function hideGotoTop(){
	$("#mmGotoTop").hide("fast");
}

//模态窗口
function showModal(mid,url,caption){
	if(caption==null){
		$("body").append("<div id='"+mid+"' style='position:fixed;left:0;top:0;width:100%;height:100%;overflow:auto;z-index:9999998;background:white;'></div>");
		$("#"+mid).load(url);
		$("#"+mid).addClass("bounceInRight animated");
	}else{
		$("body").append("<div id='"+mid+"' style='opacity:0;position:fixed;left:0;top:0;width:100%;height:100%;overflow:none;z-index:9999998;background:rgba(0,0,0,0.5);'><div id='dlgMainDiv' style='box-shadow:0px 5px 10px black;background:white;border-radius:5px;margin:10px;'><div id='titleAndBtnDiv' style='color:#999999;font-size:16px;margin:0 15px 0 15px;padding:15px 0 10px 0;border-bottom:1px solid #dddddd;'><b>"+caption+"</b></div><div id='mainwin' style='overflow-y:auto;'><img style='margin-left: 20px; display: none;' src='/docs/images/loading.gif'></div><div id='dlgBottomDiv' style='border-top:1px solid #dddddd;margin:0 15px 0 15px;padding:10px 0 10px 0;text-align:right'></div></div></div>");
		p=$(window).height()*0.85;
		$("#"+mid+ " #mainwin").css("max-height",p+"px");
		$("#"+mid+ " #mainwin").load(url);
		$("#"+mid).animate({opacity:'1'},"slow");
		$("#"+mid+ " #dlgMainDiv").addClass("bounceInDown animated");
	}

}



function closeModal(mid){
	if ($("#"+mid).hasClass("bounceInRight")){
		$("#"+mid).removeClass("bounceInRight animated");
		$("#"+mid).addClass("flipOutY animated");
	}else{
		$("#"+mid+ " #dlgMainDiv").removeClass("bounceInDown animated");
		$("#"+mid+ " #dlgMainDiv").addClass("fadeOutUp animated");
		$("#"+mid).animate({opacity:'0'},"false");
	}
	setTimeout(function (){$("#"+mid).remove();},500);

}
//常用辅助函数
//文字输入合法性检测，剔除可能的注入文字，如<>''"
function mimiTxtCheck(s){
	var pattern = new RegExp("['\">\&#]");
	var rs = "";
	for (var i = 0; i < s.length; i++) {
		rs = rs+s.substr(i, 1).replace(pattern, '');
	}
	console.log(rs);
	return rs;
}

//检查整个表单所有输入项的正确性
function mimiFormCheck(formid,isEX){
	if(isEX){
		$("#"+formid+" input").each(function (){
			$(this).val(mimiTxtUpper($(this).val()));
		});
		$("#"+formid+" textarea").each(function (){
			$(this).val(mimiTxtUpper($(this).val()));
		});
	}
	else
	{
		$("#"+formid+" input").each(function (){
			$(this).val(mimiTxtCheck($(this).val()));
		});
		$("#"+formid+" textarea").each(function (){
			$(this).val(mimiTxtCheck($(this).val()));
		});
	}
}
//文字输入合法性检测，将可能的注入文字，如<>''"英文的符号换成中文符号
function mimiTxtUpper(s){
	re=s;
	re=re.replace(new RegExp(",","g"),"，");
	re=re.replace(new RegExp(";","g"),"；");
	re=re.replace(new RegExp("\"","g"),"＂");
	re=re.replace(new RegExp("'","g"),"＇");
	re=re.replace(new RegExp("#","g"),"＃");
	re=re.replace(new RegExp("&","g"),"＆");
	re=re.replace(new RegExp("%","g"),"％");
	return re;
}
//数字转中文大写
function mimiNum2DX(n) {
	if (!/^(0|[1-9]\d*)(\.\d+)?$/.test(n))
		return "数据非法";
	var unit = "千百拾亿千百拾万千百拾元角分", str = "";
	n += "00";
	var p = n.indexOf('.');
	if (p >= 0)
		n = n.substring(0, p) + n.substr(p+1, 2);
	unit = unit.substr(unit.length - n.length);
	for (var i=0; i < n.length; i++)
		str += '零壹贰叁肆伍陆柒捌玖'.charAt(n.charAt(i)) + unit.charAt(i);
	return str.replace(/零(千|百|拾|角)/g, "零").replace(/(零)+/g, "零").replace(/零(万|亿|元)/g, "$1").replace(/(亿)万|壹(拾)/g, "$1$2").replace(/^元零?|零分/g, "").replace(/元$/g, "元整");
}

//检查电话号码正确性
function checkMobile(txt){
	if (txt.length!=11){return false;}
	if (!/^(0|[1-9]\d*)(\.\d+)?$/.test(txt)){return false;}
	if (txt.substr(0,1)!="1"){return false;}
	return true;
}

//汉字转拼音首字母
function mimi2PY(txt){
	return makePy(txt);
}

//校验身份证正确性
function mimiIDCheck(code) {
	var city={11:"北京",12:"天津",13:"河北",14:"山西",15:"内蒙古",21:"辽宁",22:"吉林",23:"黑龙江 ",31:"上海",32:"江苏",33:"浙江",34:"安徽",35:"福建",36:"江西",37:"山东",41:"河南",42:"湖北 ",43:"湖南",44:"广东",45:"广西",46:"海南",50:"重庆",51:"四川",52:"贵州",53:"云南",54:"西藏 ",61:"陕西",62:"甘肃",63:"青海",64:"宁夏",65:"新疆",71:"台湾",81:"香港",82:"澳门",91:"国外 "};
	var tip = "";
	var pass= true;
	code=code.toUpperCase();
	if(!code || !/^\d{6}(18|19|20)?\d{2}(0[1-9]|1[12])(0[1-9]|[12]\d|3[01])\d{3}(\d|X)$/i.test(code)){
		tip = "身份证号格式错误";
		pass = false;
	}

	else if(!city[code.substr(0,2)]){
		tip = "地址编码错误";
		pass = false;
	}
	else{
		//18位身份证需要验证最后一位校验位
		if(code.length == 18){
			code = code.split('');
			//∑(ai×Wi)(mod 11)
			//加权因子
			var factor = [ 7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2 ];
			//校验位
			var parity = [ 1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2 ];
			var sum = 0;
			var ai = 0;
			var wi = 0;
			for (var i = 0; i < 17; i++)
			{
				ai = code[i];
				wi = factor[i];
				sum += ai * wi;
			}
			var last = parity[sum % 11];
			if(parity[sum % 11] != code[17]){
				tip = "校验位错误";
				pass =false;
			}
		}
	}
	return pass;
}

//判断当前是否在兼容的APP里面工作
function mimiInAPP(){
	if (window.mimiObj==null){
		return false;}
	else {return window.mimiObj.isInAPP();}
}

//得到数据提交Domain,如果domain不为空，则表示跨域提交
var _localURL="https://api.oacrm.com";
function mimiDomain(url){
	if (url==null){
		return _localURL;}
	else{
		_localURL=url;
		return _localURL;
	}
}

//判断当前浏览器类型
function mimiGetBrowser(){
	var userAgent = navigator.userAgent; //取得浏览器的userAgent字符串
	var isOpera = userAgent.indexOf("Opera") > -1;
	if (isOpera) {
		return "opera"
	}; //判断是否Opera浏览器
	if (userAgent.indexOf("Firefox") > -1) {
		return "firefox";
	} //判断是否Firefox浏览器
	if (userAgent.indexOf("Chrome") > -1){
		return "chrome";
	}
	if (userAgent.indexOf("Safari") > -1) {
		return "safari";
	} //判断是否Safari浏览器
	if (userAgent.indexOf("compatible") > -1 && userAgent.indexOf("MSIE") > -1 && !isOpera) {
		return "ie";
	}; //判断是否IE浏览器
}

//将图片转换成Base64
function mimiImg2Base64(file, maxSize, callback, outputFormat) {
	var reader  =  new FileReader();       // 绑定load事件自动回调函数  
	reader.onload  =  function(e) {           // 调用前面的 render 函数  
		var canvas = document.createElement('CANVAS'),
			ctx = canvas.getContext('2d'),
			img = new Image;
		img.crossOrigin = 'Anonymous';
		img.src=e.target.result;
		h = img.height;
		w = img.width;
		if (h > maxSize) {
			w = parseInt(w * maxSize / h);
			h = maxSize;
		}
		if (w > maxSize) {
			h = parseInt(h * maxSize / w);
			w = maxSize;
		}
		canvas.height = h;
		canvas.width = w;
		ctx.drawImage(img, 0, 0, w, h);
		var dataURL = canvas.toDataURL(outputFormat || 'image/jpeg');
		callback.call(this, dataURL);
		canvas = null;
	}
	reader.readAsDataURL(file);
}

//图片转为base64，高宽可为空，为空则默认为图片的大小
function mimiImageTranslateToBase64(img, width, height) {
    
        var canvas = document.createElement("canvas");
        canvas.width = width ? width : img.width;
        canvas.height = height ? height : img.height;
        var ctx = canvas.getContext("2d");
        ctx.drawImage(img, 0, 0, canvas.width, canvas.height);
        var dataURL = canvas.toDataURL();
        return dataURL;
    
}
//高宽可不传，为空则默认为图片的大小
function mimiSaveImageOnLocalPhotoAlbum(img,imageNmae, width, height) {
	//转base64

   var dataURL=mimiImageTranslateToBase64(img,width,height);
    var arr=dataURL.split(",");


    return window.mimiObj.saveImageOnLocalPhotoAlbum(arr[1],imageNmae);

}

//提交数据
function mimiGetJSON(mURL,upParam,needMask,funcDone){
	/*
	 dataType取值
	 •"xml": 返回 XML 文档，可用 jQuery 处理。
	 •"html": 返回纯文本 HTML 信息；包含的 script 标签会在插入 dom 时执行。
	 •"script": 返回纯文本 JavaScript 代码。不会自动缓存结果。除非设置了 "cache" 参数。注意：在远程请求时(不在同一个域下)，所有 POST 请求都将转为 GET 请求。（因为将使用 DOM 的 script标签来加载）
	 •"json": 返回 JSON 数据 。
	 •"jsonp": JSONP 格式。使用 JSONP 形式调用函数时，如 "myurl?callback=?" jQuery 将自动替换 ? 为正确的函数名，以执行回调函数。
	 •"text": 返回纯文本字符串
	 */
	domain=mimiDomain();
	if (domain==""){
		dp="json";
	}else{
		dp="jsonp";
	}

	$.ajax({
		url : domain+mURL,
		type:'GET',
		contentType: "charset=utf-8",
		timeout: 60000,
		cache:false,
		dataType:dp,
		data:upParam,
		jsonp: "callback",//传递给请求处理程序或页面的，用以获得jsonp回调函数名的参数名(一般默认为:callback)
		jsonpCallback:"jsonp",//
		beforeSend : function(xhr, opts){//开始加载
			if(needMask){showLoading("")}else {showClearLoading()};
		},
		success:function(data){//加载完成

			if (data!=null){funcDone(0,data);}
		},
		complete:function (XMLHttpRequest, textStatus) {
			hideLoading();
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {//加载出错

			if(needMask){hideLoading()}else {hideClearLoading()};


			funcDone(1,textStatus);
		}
	});
}

//尽量少用 upParam json 字符串
//提交大量数据使用
//回调  postEnd(postId,postErr,postData,postMsg);
//postId:请求id  postErr：请求是否成功 postMsg:请求返回信息  postData：服务器返回结果,

function mimiPostJSON(mURL,upParam,needMask,postId){

	if (mimiInAPP()==false){
		return false;
	}else{
		if(needMask){showLoading("")}else {showClearLoading()};
		return window.mimiObj.postJSON(mURL,upParam,postId);
	}

}

function postEnd(postBack) {
	setTimeout(function () {
		hideLoading();
		mimipostEnd(postBack['postId'],postBack['postErr'],postBack['postData'],postBack['postMsg']);
	},800);
}

	// if (mimiDomain()==""){//当前域提交
// 		$.ajax({
// 			url : domain+mURL,
// 			type:'POST',
// 			timeout: 60000,
// 			cache:false,
// 			dataType:"json",
// 			data:upParam,
// 			xhr: function() {
// 				//显示上传进度
// 				var xhr = $.ajaxSettings.xhr();
// 				if (xhr.upload) {
// 					xhr.upload.onprogress = function(progress) {
// 						if (progress.lengthComputable) {
// 							showLoadBar(progress.loaded/progress.total*100);
// 						}
// 					};
// 					xhr.upload.onloadstart = function() {
// 						showLoadBar(1);
// 					};
// 				}
// 				return xhr;
// 			},
// 			beforeSend : function(xhr, opts){//开始加载
// 				alert("0");
// 				showLoadBar(1);
// 				if(needMask){showLoading("")};
// 			},
// 			sucess:function(data){
// 				alert("1");
// 				funcDone(0,data);
// 			},
// 			complete:function (XMLHttpRequest, textStatus) {
// 				alert("3");
// 				hideLoading();
// 				showLoadBar(100);//获得上传结束后服务器返回的数据
// 			},
// 			error: function(XMLHttpRequest, textStatus, errorThrown) {//加载出错
// 				alert("2");
// 				hideLoading();
// 				showLoadBar(100);
// 				showAlert("亲，数据加载出错了，请检查网络是否畅通。错误代码："+XMLHttpRequest.status+":"+textStatus,1);
// 				funcDone(1,textStatus);
// 			}
// 		});
// }
// 	else{//跨域提交

		// var postMode = 1; //1:selft,2:black,3:ifram
		// var tempForm = $('<FORM></FORM>');
		// tempForm.attr('ACTION',domain+mURL);
		// tempForm.attr('METHOD', 'POST');
		// if(postMode==1) // _self: 当前页面 _blank : 新页面
		// {
		// 	tempForm.attr('TARGET', "_self");
		// }
		// else if(postMode==2)
		// {
		// 	tempForm.attr('TARGET', "_blank");
		// }
		// else if(postMode==3)
		// {
		// 	var tempIFMName="tempIFMName";
		// 	var tempIFM = document.createElement('IFRAME');
		// 	tempIFM.src = "about:blank";
		// 	tempIFM.name = tempIFMName;
		// 	tempIFM.style.display = 'NONE';
		// 	document.body.appendChild(tempIFM);
		// 	tempForm.attr('TARGET', tempIFMName);
		// 	$('#'+tempIFMName).load(function(){
		// 		document.body.removeChild(tempIFM);
		// 	});
		// }
		// $.each(upParam, function(k, v) {
		// 	var tempInput = $('<INPUT TYPE="HIDDEN"  NAME="'+k+'" />');
		// 	tempInput.attr('VALUE', v);
		// 	tempForm.append(tempInput);
		// });
		// tempForm.appendTo(document.body).submit();

	// }


///与webview交互类
function mimiGetMyID(needLogin){
	if (mimiInAPP()==false){
		if (needLogin){
			showLogin();
		}
		return false;
	}else{
		return window.mimiObj.getMyID();
	}
}

/**
 * 获取下属列表
 * */
function mimiXiaShu() {
    if (mimiInAPP()==false){
        return false;
    }else{
        return window.mimiObj.getXiaShu();
    }
}

/**
 * 获取同事列表
 * */
function mimiColleagueList() {
    if (mimiInAPP()==false){
        return false;
    }else{
        return window.mimiObj.getColleagueList();
    }
}

function mimiUserInfo(){

	if (mimiInAPP()==false){
		return false;
	}else{
		info = window.mimiObj.getUserInfo();
		obj = JSON.parse(info);
		if(obj.webnet != null&&obj.webnet != ""){
			mimiDomain(obj.webnet);
		}
		return window.mimiObj.getUserInfo();
	}
}
// JSON.parse(jsonstr); //可以将json字符串转换成json对象
// JSON.stringify(jsonobj); //可以将json对象转换成json对符串
function mimiReloadWebView(name){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.reloadWebView(name);
	}
}

function mimiGetSetting(){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.getSetting();
	}
}

function mimiPosition(param){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.positioning(param);
	}
}



function mimiSaveOnceTime(filename,value){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.saveOnceTime(filename,value);
	}
}
//打开某个模块
function mimiShowModual(modualID,params){
	if (window.mimiObj==null){
		return false;}
	else {return window.mimiObj.showModual(modualID,params);}
}

function mimiReloadApp() {
    if (window.mimiObj==null){
        return false;}
    else {return window.mimiObj.reloadApp();}
}

function mimiPlayVoice(modualID) {
    if (window.mimiObj==null){
        return false;}
    else {return window.mimiObj.playVoice(modualID);}
}

//震动的时间
function mimiShock(time) {
    if (window.mimiObj==null){
        return false;}
    else {return window.mimiObj.shock(time);}
}

function mimiLoadOnceTime(filename){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.loadOnceTime(filename);
	}
}
// /**
//  * 获取维修设备
//  * */
// function mimiLoadmaintenanceEquipment(url,wid,pid,id) {
// 	if(mimiInAPP()==false){
// 		return false;
// 	}
// 	else {
// 		return window.mimiObj.showModual(modedeptid,param);
// 	}
// }
function mimiSaveSetting(key,value){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.saveSetting(key,value);
	}
}
function mimiLoadSetting(key){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.loadSetting(key);
	}
}
function mimiSaveFile(filename,value){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.saveFile(filename,value);
	}
}
function mimiLoadFile(filename){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.loadFile(filename);
	}
}
function mimiShowTitle(show){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.showTitle(show);
	}
}

function mimiShare(title,pic,cont,url,way){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.Share(title,pic,cont,url,way);
	}
}

function mimiPrintHtml(param){

	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.printHtml(param);
	}
}

function mimiCreateBtn(btn,path,img,title,push){

	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.createBtn(btn,path,img,title,push);
	}
}

function mimiCreateSndBtn(btn,path,img,title){

	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.createSndBtn(btn,path,img,title);
	}
}

function mimiCopy(str){

	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.copy(str);
	}
}

function mimiScanCode(){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.scanCode();
	}
}

function mimiGoURL(url,isNewWin,hasTitle){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.goURL(url,isNewWin,hasTitle);
	}
}

function mimiDelcptp(){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.Delcptp();
	}
}

function mimiClose(n){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.Close();
	}
}

//获取url中"?"符后的字串
// var Request=new mimiUrlSearch()
function mimiUrlSearch()
{
	// var bacarr = new Array;
	var bacarr = {};
	var name,value;
	var str=location.href; //取得整个地址栏
	var num=str.indexOf("?")
	str=str.substr(num+1); //取得所有参数   stringvar.substr(start [, length ]

	var arr=str.split("&"); //各个参数放到数组里
	for(var i=0;i < arr.length;i++){
		num=arr[i].indexOf("=");
		if(num>0){
			name=arr[i].substring(0,num);
			value=arr[i].substr(num+1);
			name = decodeURI(name);
			value = decodeURI(value);
			try{value = decodeURIComponent(value);}catch(error){}finally {}

			name = name.toString();
			value = value.toString();

			bacarr[name]=value;
		}
	}
	return bacarr;
}

function mimiEncodeObj(obj) {
	var urlStr = '';
	for(var ii in obj){
		var io = obj[ii];
		var estr = encodeURIComponent(io);
		urlStr += ii + "=" + estr + "&";
	}
	if (urlStr.length > 1){
		urlStr = urlStr.substr(0,urlStr.length - 1);
	}
	return urlStr;
}

function mimiGoModal(modalID,parms){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.goModal(modalID,parms);
	}
}
//带#
function mimisetNavcol(color){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.setNavcol(color);
	}
}

function mimiOpenUrl(url){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.openUrl(url);
	}
}

function mimiLog(parms,url){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.log(parms,url);
	}
}

function mimiLogout(){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.Logout();
	}
}
//转化对象为json字符串
function setJson(dataArr){
	var len = 0;
	for(var key in dataArr){
		len ++;
	}
	var i = 0;
	var jsStr =  "{";
	for(var key in dataArr){
		value = dataArr[key];
		if(i==len-1){
			jsStr += "\n  \"" + key + "\" : \""+value+"\"\n}";
		}else{
			jsStr += "\n  \"" + key + "\" : \""+value+"\",";
		}
		i++;
	}
	return jsStr;
}
//获取 json字符 转 obj
function strToJson(str){
	return (new Function("return " + str))();
}



function cheakMoney(moy){
	var backS = "";
	if(moy==""){
		moy = "0";
	}
	var numMoney = Number(moy);
	if (numMoney<0){
		numMoney = -numMoney;
		backS = "-";
	}
	var unit = "";
	if(numMoney>=100000000){
		numMoney /= 100000000;
		unit = "亿";

	}else if(numMoney>=100000){
		numMoney /= 10000;
		unit = "万";
	}
	var numMoneyS = numMoney.toFixed(2);
	if(numMoneyS.length > 3 && numMoneyS.substr(numMoneyS.length-3,3) == ".00"){
		numMoneyS = numMoneyS.substr(0,numMoneyS.length-3);
	}

	backS += numMoneyS + unit;
	return backS;
}

function cheaknums(moy){
	var backS = "";
	if(moy==""){
		moy = "0";
	}
	var numMoney = Number(moy);
	if (numMoney<0){
		numMoney = -numMoney;
		backS = "-";
	}
	var unit = "";
	if(numMoney>=100000000){
		numMoney /= 100000000;
		unit = "亿";

	}else if(numMoney>=100000){
		numMoney /= 10000;
		unit = "万";
	}
	var numMoneyS = numMoney.toFixed(4);
	if(numMoneyS.length > 5 && numMoneyS.substr(numMoneyS.length-5,5) == ".0000"){
		numMoneyS = numMoneyS.substr(0,numMoneyS.length-5);
	}

	backS += parseFloat(Number(numMoneyS)) + unit;
	return backS;
}

function catZore(num) {
	num = num+'';
	var numMoneyS = Number(num).toFixed(2);
	if(numMoneyS.length > 3 && numMoneyS.substr(numMoneyS.length-3,3) == ".00"){
		num = numMoneyS.substr(0,numMoneyS.length-3);
	}
	return num;
}

function backMoney(t){
	var unit = t.substr(t.length-1,1);
	if (unit=="万"){
		t = t.substr(0,t.length-1);
		t = t * 10000;
	}else if(unit=="亿"){
		t = t.substr(0,t.length-1);
		t = t * 100000000;
	}
	return t;
}

function mimiGetMacroStr(macroS) {
	return window.mimiObj.getMacroStr(macroS);
}

function mimiReloadLastView(){
	if(mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.reloadLastView();
	}
}

function mimiChoiceFile(param){
	if(mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.choiceFile(param);
	}
}

function mimiChoiceMoreFile(param){
    if(mimiInAPP()==false){
        return false;
    }else{
        return window.mimiObj.choiceMoreFile(param);
    }
}

function mimiSelectImg(param){
	if(mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.selectImg(param);
	}
}

//is_private 可见类别 工单5
//type 附件分类 工单5
//typeID 对应ID
//ext 拓展名
//base base64

function mimiAddFile(param){
	if(mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.addFile(param);
	}
}

function mimiGetImgFiles(param){
	if(mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.getImgfiles(param);
	}
}

function mimiCheakType(ext) {
	var back = {};
	switch (ext){
		case 'doc':
		case 'docx':
		case 'wps':
			back.str = "fa-file-word-o";
			back.ty = "1";
			break;
		case 'txt':
			back.str = "fa-file-text-o";
			back.ty = "1";
			break;
		case 'pdf':
			// 1
			back.str = "fa-file-pdf-o";
			back.ty = "1";
			break;
		case 'xls':
		case 'xlsx':
			// 2
			back.str = "fa-file-excel-o";
			back.ty = "2";
			break;
		case 'ppt':
//3
			back.str = "fa-file-powerpoint-o";
			back.ty = "3";
			break;
		case '7z':
		case 'rar':
		case 'zip':
			// 4
			back.str = "fa-file-zip-o";
			back.ty = "4";
			break;
		case 'jpg':
		case 'JPG':
		case 'PNG':
		case 'jpeg':
		case 'gif':
		case 'png':
		case 'svg':
		case 'dxf':
		case 'dwg':
		case 'bmp':
		case 'psd':
		case 'ai':
		case 'cdr':
			//5
			back.str = "fa-file-picture-o";
			back.ty = "5";
			break;
		case 'mpg':
		case 'mov':
		case 'wmv':
		case 'mp4':
		case 'avi':
		case 'rm':
			// 6,
			back.str = "fa-file-video-o";
			back.ty = "6";
			break;
		case 'mp3':
		case 'wav':
		case 'amr':
			//  7,
			back.str = "fa-file-sound-o";
			back.ty = "7";
			break;
		default:
			back.str = "fa-file-o";
			back.ty = "8";
			break;
	}
	return back;
}

function mimiShareWithAlert(id,param) {
	if(mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.shareWithAlert(id,param);
	}
}

function mimiOpenFile(param) {
	if(mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.openFile(param);
	}
}
function mimiGetzan(id){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.getZan(id);
	}
}

function mimiSetzan(id){
	if (mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.setZan(id);
	}
}
function mimiDelFile(param) {
	if(mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.delFile(param);
	}
}

function mimigetImgWithURL(param) {
	if(mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.getImgWithURL(param);
	}
}

function mimisetFileImg(param) {
	if(mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.setFileImg(param);
	}
}

function mimigetBase(fid) {
	var index = loc.lastIndexOf(".");
	if(index>0){
		var ext = loc.substr(index,loc.length-index);
		var ma = mimiCheakType(ext);
	}

}
alertBoxShown = false;
function alertBox(txt) {
	if (alertBoxShown){
		return;
	}
	alertBoxShown = true;
	var alertB = "<div id='alertBox' style='top: 45%;width:100%;text-align:center;position: fixed; z-index: 999999999;'><div style='margin:0 auto;width:70%;border-radius: 3px;padding:5px;background-color: rgba(0, 0, 0, 0.6);box-shadow:0 5px 20px rgba(0,0,0,0.5)'><p id='mmLoadText' style='margin:0;color:white;font-size:16px;'>"+txt+"</p></div></div>"
	$("body").append(alertB);
	//$("#alertBox").addClass("animated flipInX");
	setTimeout(function () {
		//$("#alertBox").removeClass("animated flipInX");
		//$("#alertBox").addClass("animated flipOutX");
		setTimeout(function () {
			$("#alertBox").remove();
			alertBoxShown = false;
		},800);
	},2000);
}

function playSound(url)
{
	var borswer = window.navigator.userAgent.toLowerCase();
	if ( borswer.indexOf( "ie" ) >= 0 )
	{
		//IE内核浏览器
		var strEmbed = '<embed name="embedPlay" src="'+url+'" autostart="true" hidden="true" loop="false"></embed>';
		if ( $( "body" ).find( "embed" ).length <= 0 )
			$( "body" ).append( strEmbed );
		var embed = document.embedPlay;

		//浏览器不支持 audion，则使用 embed 播放
		embed.volume = 80;
		//embed.play();这个不需要
	} else
	{
		//非IE内核浏览器
		var strAudio = "<audio id='audioPlay' src='"+url+"' hidden='true'>";
		if ( $( "body" ).find( "audio" ).length <= 0 )
			$( "body" ).append( strAudio );
		var audio = document.getElementById( "audioPlay" );

		//浏览器支持 audion
		audio.play();
	}
}

//php的时间时间戳转化为天数  1501551559  -->  25天前
function getRTime(t){
	var EndTime= t*1000;
	var NowTime = new Date();
	var t =EndTime - NowTime.getTime();
	if(t>=0){
		xm="后";
	}
	else{
		xm="前";
		t=-t;
	}
	var d=0;
	var h=0;
	var m=0;
	var s=0;

	d=Math.floor(t/1000/60/60/24);
	h=Math.floor(t/1000/60/60%24);
	m=Math.floor(t/1000/60%60);
	s=Math.floor(t/1000%60);

	if(d!=0){
		return d+"天"+xm;
	}else{
		if(h!=0){
			return h+"小时"+xm;
		}else{
			if(m!=0){
				return m+"分钟"+xm;
			}else{
				return "刚刚";
			}
		}
	}
}

//将字符串转化成时间戳(秒)
function getUnixTime(stringTime)
{
	var timestamp2 = Date.parse(new Date(stringTime.replace(/-/g, "/")));
	return timestamp2 / 1000;
}


//时间戳(秒)-》字符串
function timesToStr(times) {
	if (typeof (times)=='undefined'){
		return "";
	}
	var st = times.toString();
	if (st.length < 1){
		return "";
	}
	var timestamp = Number(times);
	var newDate = new Date();
	newDate.setTime(timestamp * 1000);
	return formatDate(newDate);
}

//时间戳(秒)-》Date
function timesToDate(times) {
	if (typeof (times)=='undefined'){
		return "";
	}
	var st = times.toString();
	if (st.length < 1){
		return "";
	}
	var timestamp = Number(times);
	var newDate = new Date();
	newDate.setTime(timestamp * 1000);
	return newDate;
}

function allFormatDate(date,typeID) {
	var myyear = date.getFullYear();
	var mymonth = date.getMonth() + 1;
	var myweekday = date.getDate();
	var myhours = date.getHours();
	var myminutes = date.getMinutes();
	var myseconds = date.getSeconds();
	if (mymonth < 10) {
		mymonth = "0" + mymonth;
	}
	if (myweekday < 10) {
		myweekday = "0" + myweekday;
	}
	if (myhours < 10) {
		myhours = "0" + myhours;
	}
	if (myminutes < 10) {
		myminutes = "0" + myminutes;
	}

	if(myseconds<10){
		myseconds = "0"+myseconds;
	}
	if(typeID==1){
		return (myyear + "-" + mymonth + "-" + myweekday + " " + myhours + ":" + myminutes);
	}
	return (myyear + "-" + mymonth + "-" + myweekday + " " + myhours + ":" + myminutes+":"+myseconds);
}

function formatDate(date) {
	var myyear = date.getFullYear();
	var mymonth = date.getMonth() + 1;
	var myweekday = date.getDate();
	if (mymonth < 10) {
		mymonth = "0" + mymonth;
	}
	if (myweekday < 10) {
		myweekday = "0" + myweekday;
	}
	return (myyear + "-" + mymonth + "-" + myweekday);
}

function mimiSetMyTag() {
	if(mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.setMyTag();
	}
}

function mimiCallPhone(phoneNum) {
	if(mimiInAPP()==false){
		return false;
	}else{
		return window.mimiObj.callPhone(phoneNum);
	}
}

function mGetDate(){
	var date = new Date();
	var year = date.getFullYear();
	var month = date.getMonth()+1;
	var d = new Date(year, month, 0);
	return d.getDate();
}

function aniRemoveObj(obj,ani){
	if (ani==""||ani==null){
		$(obj).remove();
	}
	else {
		$(obj).addClass("animated "+ani);
		setTimeout(function () {
			$(obj).remove();
		}, 800);
	}
}

function getXDate(p){
	var now = new Date(); //当前日期
	var nowDayOfWeek = now.getDay(); //今天本周的第几天
	if (nowDayOfWeek==0){
		nowDayOfWeek = 7;
	}
	var nowDay = now.getDate(); //当前日
	var nowMonth = now.getMonth(); //当前月
	var nowYear = now.getYear(); //当前年
	nowYear += (nowYear < 2000) ? 1900 : 0; //
	var lastMonthDate = new Date(); //上月日期
	lastMonthDate.setDate(1);
	lastMonthDate.setMonth(lastMonthDate.getMonth()-1);
	var lastMonth = lastMonthDate.getMonth();

	switch(p){
		case 1://获得本周的开始日期
			var weekStartDate = new Date(nowYear, nowMonth, nowDay - nowDayOfWeek + 1);
			return formatDate(weekStartDate);
			break;
		case 2://获得本周的结束日期

			var weekEndDate = new Date(nowYear, nowMonth, nowDay + (6 - nowDayOfWeek + 1));
			return formatDate(weekEndDate);
			break;

		case 3://获得本月的开始日期

			var monthStartDate = new Date(nowYear, nowMonth, 1);
			return formatDate(monthStartDate);
			break;

		case 4://获得本月的结束日期

			var monthEndDate = new Date(nowYear, nowMonth, getMonthDays(nowMonth,nowYear));
			return formatDate(monthEndDate);
			break;
		case 5://获得上月开始时间
			var lastMonthStartDate = new Date(nowYear, lastMonth, 1);
			return formatDate(lastMonthStartDate);
			break;
		case 6://获得上月结束时间
			var lastMonthEndDate = new Date(nowYear, lastMonth, getMonthDays(lastMonth,nowYear));
			return formatDate(lastMonthEndDate);
			break;
		case 7://获得上周的开始日期
			var weekStartDate = new Date(nowYear, nowMonth, nowDay - nowDayOfWeek + 1 -7);
			return formatDate(weekStartDate);
			break;
		case 8://获得上周的结束日期

			var weekEndDate = new Date(nowYear, nowMonth, nowDay + (6 - nowDayOfWeek + 1)-7);
			return formatDate(weekEndDate);
			break;
	}
}

function objAni(obj,ani){
	if (ani==""||ani==null){
		return;
	}
	else {
		$(obj).addClass("animated "+ani);
		setTimeout(function () {
			$(obj).removeClass("animated "+ani);
		}, 800);
	}
}

//页面初始化代码
$().ready(function (){
	$(window).scroll(function (e){
		t=document.documentElement.scrollTop||document.body.scrollTop;
		if (t>800){showGotoTop();}else{hideGotoTop();}
	});
});

/**
 * 获取屏幕的高度
 * */
function  getClientHeight() {
return document.documentElement.clientHeight || document.body.clientHeight;
}

/**
 * 获取屏幕的宽度
 * */
function  getClientWidth() {
	return document.documentElement.clientWidth || document.body.clientWidth;
}

function judgeVer(ver,index){
	if(Number(ver)==5||Number(ver)==6||Number(ver)==7){
		if(Number(ver)==5&&index==2){
			tost();
			return	1;
		}else if(Number(ver)==6&&index==1){
			tost();
			return	1;
		}else if(Number(ver)==7){
			tost();
			return	1;
		}
	}
	return 0;
}

function tost(){
	setTimeout(function () {
		alertBox("该版本不含此功能，请升级到更高版本");
	}, 800);
}

function setreplace(str,os,ns){
	var num = str.split(os);

	for(i=0;i<(num.length-1);i++){
		str = str.replace(os,ns);
	}
	return str;
}
var lastClickTime = 0;
function isFastDoubleClick2000(){
	var time = Date.parse(new Date());

	var timeD = time - lastClickTime;

	if (0 < timeD && timeD < 4000) {
		return true;
	}
	lastClickTime = time;

	return false;
}